<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://www.streamweasels.com
 * @since             1.0.0
 * @package           Streamweasels_Wall_Pro
 *
 * @wordpress-plugin
 * Plugin Name:       StreamWeasels Twitch Integration - Wall Add-on
 * Plugin URI:        https://www.streamweasels.com
 * Description:       This is an add-on plugin for StreamWeasels Twitch Integration that enables the Wall layout.
 * Version:           2.1.3
 * Author:            StreamWeasels
 * Author URI:        https://www.streamweasels.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       streamweasels-wall-pro
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'STREAMWEASELS_WALL_PRO_VERSION', '2.1.3' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-streamweasels-wall-pro-activator.php
 */
function activate_streamweasels_wall_pro() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-streamweasels-wall-pro-activator.php';
	Streamweasels_Wall_Pro_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-streamweasels-wall-pro-deactivator.php
 */
function deactivate_streamweasels_wall_pro() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-streamweasels-wall-pro-deactivator.php';
	Streamweasels_Wall_Pro_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_streamweasels_wall_pro' );
register_deactivation_hook( __FILE__, 'deactivate_streamweasels_wall_pro' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-streamweasels-wall-pro.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_streamweasels_wall_pro() {

	$plugin = new Streamweasels_Wall_Pro();
	$plugin->run();

}

run_streamweasels_wall_pro();